/*===========================================================================*/
/*                                                                           */
/* File    : DESKTOP.H                                                       */
/*                                                                           */
/* Purpose :                                                                 */
/*                                                                           */
/* History :                                                                 */
/*                                                                           */
/* (C) Copyright 1989 Marc Adler/Magma Systems     All Rights Reserved       */
/*===========================================================================*/

#define ID_MENUBAR           10

#define ID_RUN               100
#define ID_LOAD              101
#define ID_COPY              102
#define ID_GETINFO           103
#define ID_DELETE            104
#define ID_PRINT             105
#define ID_RENAME            106
#define ID_EXIT              107
#define ID_ABOUT             108

#define ID_VIEW_SHORT        120
#define ID_VIEW_LONG         121
#define ID_VIEW_ALL          122
#define ID_VIEW_PARTIAL      123
#define ID_VIEW_PROGRAMS     124
#define ID_BYDATE            125
#define ID_BYNAME            126
#define ID_BYSIZE            127
#define ID_BYKIND            128

#define ID_CREATEDIR         140
#define ID_CHGDIR            141
#define ID_FORMAT            142
#define ID_SYSDISK           143
#define ID_VOLUME            144
  
#define ID_CALC              160

#define ID_HELP              99


#define DLG_VIEW_PARTIAL  110
#define DLG_RUN           111
#define DLG_LOAD          112
#define DLG_PRINT         113
#define DLG_CHGDIR        114
#define DLG_COPY          115
#define DLG_RENAME        116
#define DLG_FORMAT        117
#define DLG_CREATEDIR     118
#define DLG_SYSDISK       119
#define DLG_VOLUME        120
#define DLG_DELETE        121
#define DLG_HELP          99 

#define ID_EDIT           10
#define ID_EDIT2          11
#define ID_HELPLB         99
#define ID_TOPICS         3 
  
#define DESKTOP_RESFILE   NULL  /* "C:\\MEWEL\\DESKTOP" */
#define CALC_RESFILE      NULL  /* "C:\\MEWEL\\CALC" */



int  (pascal *OldMainWinProc)();
extern int pascal MainWndProc();
extern int pascal DriveWndProc();
extern int pascal PathWndProc();
extern int pascal DirWndProc();
extern int pascal GetInfoWndProc();

extern int pascal GenericDialogDriver(WORD idDlg, int (pascal *pfnDlg)());
extern int pascal PartialDialogProc();
extern int pascal ChgDirDialogProc();
extern int pascal CreateDirDialogProc();
extern int pascal FormatDialogProc();
extern int pascal SystemDialogProc();
extern int pascal VolumeDialogProc();
extern int pascal RunDialogProc();
extern int pascal DeleteDialogProc();
extern int pascal RenameDialogProc();
extern int pascal CopyDialogProc();
extern int pascal DeleteDialogProc();
extern int pascal HelpDialogProc();

extern char *pascal strsave(char *s);
extern pascal CheckCriticalError(char olddrv);
extern int CompDriver(char **psz1, char **psz2);

extern HWND hMain,
            hWndDrives,
            hWndPath,
            hWndDir;

/*************************************************************************\
|  Variables for the directory lister                                     |
\*************************************************************************/
#define MAXFILES    512
#define MAXPATHLEN  65
#define COL_WIDTH   16
#define SPACE_PER_DRIVE  6

struct dirwndinfo
{
  int  leftLogCol;
  int  idxTopFile;
  int  idxCurrSel;
  int  nFiles;
  WORD flags;
#define VIEW_ALL       0x0001
#define VIEW_PARTIAL   0x0002
#define VIEW_PROGRAMS  0x0004
#define SORT_EXTENSION 0x0010
#define SORT_TIME      0x0020
#define SORT_SIZE      0x0040
#define SORT_MASK      0x00F0
#define VIEW_LONG      0x0100
};


extern char *szFileNames[MAXFILES];
extern char  szFileSpec[MAXPATHLEN];
extern WORD  iCurrDrive;
extern DWORD ulDriveMap;
extern struct dirwndinfo DirWndInfo;
